# Obtain the log backup address of UDB - DescribeUDBLogBackupURL

## Overview

Obtain the error log or slow query log backup address of UDB



 > ℹ️ API to be deprecated, does not support NVMe type instances. Please use the replacement API DescribeUDBBinlogBackupURL.


## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeUDBLogBackupURL`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |No|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **DBId** | string | DB Instance Id |**Yes**|
| **BackupId** | int | DB instance log backup ID, can be obtained from the DescribeUDBLogPackage result. |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **BackupPath** | string | Backup External URL |No|
| **UsernetPath** | string | Backup User Web URL |No|




## Example

### Request Example
    
```
https://api.genesissai.com/?Action=DescribeUDBLogBackupURL
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=CXhsEFFo
&DBId=vBzmUVZJ
&BackupId=3
```

### Response Example
    
```json
{
  "Action": "DescribeUDBLogBackupURLResponse",
  "BackupPath": "jKkFuaLl",
  "RetCode": 0,
  "UsernetPath": "DPdvlsxY"
}
```





